> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List event patterns

> Retrieve a paginated list of event patterns available to workflow event trigger nodes.



## OpenAPI

````yaml /openapi.json get /v1/event-patterns
openapi: 3.1.0
info:
  title: Loops OpenAPI Spec
  description: This is the OpenAPI Spec for the [Loops API](https://loops.so/docs/api).
  version: 1.20.0
servers:
  - url: https://app.loops.so/api
security: []
tags:
  - name: API key
  - name: Audience segments
    description: View audience segments
  - name: Campaigns
    description: Create and manage email campaigns
  - name: Campaign groups
    description: Organize campaigns into groups
  - name: Components
    description: View email components
  - name: Configuration
    description: View configuration settings
  - name: Contacts
    description: Manage contacts in your audience
  - name: Contact properties
    description: Manage contact properties
  - name: Email messages
    description: Manage email message content for campaigns
  - name: Events
    description: Trigger workflows with events
  - name: Event patterns
    description: View workflow event patterns
  - name: Mailing lists
    description: View mailing lists
  - name: Themes
    description: View email themes
  - name: Transactional emails
    description: Create, manage, and send transactional emails
  - name: Transactional groups
    description: Organize transactional emails into groups
  - name: Uploads
    description: Upload image assets
  - name: Workflows
    description: View and mutate workflow graphs
  - name: Workflow nodes
    description: View and mutate workflow nodes
paths:
  /v1/event-patterns:
    get:
      tags:
        - Event patterns
      summary: List event patterns
      description: >-
        Retrieve a paginated list of event patterns available to workflow event
        trigger nodes.
      operationId: listEventPatterns
      parameters:
        - name: perPage
          in: query
          required: false
          description: >-
            How many results to return in each request. Must be between 10 and
            50. Default is 20.
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: >-
            A cursor to return a specific page of results. Cursors can be found
            from the `pagination.nextCursor` value in each response.
          schema:
            type: string
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEventPatternsResponse'
        '400':
          description: Invalid `perPage` or `cursor` value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventPatternFailureResponse'
        '401':
          description: >-
            Invalid API key or workflow API beta access not enabled for this
            team.
        '405':
          description: Wrong HTTP request method.
      security:
        - apiKey: []
components:
  schemas:
    ListEventPatternsResponse:
      type: object
      properties:
        pagination:
          type: object
          properties:
            totalResults:
              type: number
            returnedResults:
              type: number
            perPage:
              type: number
            totalPages:
              type: number
            nextCursor:
              type:
                - string
                - 'null'
            nextPage:
              type:
                - string
                - 'null'
        data:
          type: array
          items:
            $ref: '#/components/schemas/EventPatternSummary'
      required:
        - pagination
        - data
    EventPatternFailureResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    EventPatternSummary:
      type: object
      properties:
        id:
          type: string
          description: The ID of the event pattern.
        eventName:
          type: string
          description: >-
            The name of the event pattern. Use this when sending events with the
            API.
        incomingWebhookPlatform:
          type:
            - string
            - 'null'
          description: >-
            The platform that sent this event pattern, if the event pattern is
            from an incoming webhook. Will be `null` for custom events.
          enum:
            - clerk
            - polar
            - stripe
            - supabase
            - 'null'
      required:
        - id
        - eventName
        - incomingWebhookPlatform
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````